# Clipboard API (beta)

You can paste the data on the board via Clipboard. Data is passed as JSON String.

The simplest example:

```
{ "kind": "character", "data": { "name": "Chicken" } }
```

You can paste this JSON string into the CCFOLIA.

### Data format

Currently only Characters are available. It is defined by Typescript.&#x20;

#### Character

```
type CharacterClipboardData = {
  kind: "character";
  data: Partial<Character>;
}

type Character = {
  name: string;
  memo: string;
  initiative: number;
  externalUrl: string;
  status: {
    label: string;
    value: number;
    max: number;
  }[];
  params: { label: string; value: string }[];
  iconUrl: string | null; // [!]
  faces: { iconUrl: string | null; label: string }[]; // [!]
  x: number; // [!]
  y: number; // [!]
  angle: number;
  width: number;
  height: number;
  active: boolean; // [!]
  secret: boolean;
  invisible: boolean;
  hideStatus: boolean;
  color: string;
  commands: string;
  owner: string | null;
};
```

\[!] You can not set external data for `iconUrl` and `faces[].iconUrl`. And, the default value takes precedence in `x` `y` `active`.

#### Item (Screen Panel)

Currently not available.

#### Marker (Marker Panel)

Currently not available.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ccfolia.com/developer-api/clipboard-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
